Skip to main content
GET
List workflow runs

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

includeContext
boolean

When true, the response includes the run context. Defaults to false for MCP clients and true otherwise.

workflowIds
string[]

Filter by workflow tag or CID. Repeat the parameter for several workflows.

searchQuery
string

Search query for workflow name or description

entityId
string

Filter by target entity tag or CID

initiatedBy
string[]

Filter by the email of the user who initiated the run. Repeat the parameter for several users.

startedAfter
string

Filter runs started after this time (UTC, without an offset, e.g. 2026-06-22T00:00:00). Runs older than 30 days are never returned.

startedBefore
string

Filter runs started before this time (UTC, without an offset, e.g. 2026-06-22T00:00:00)

page
integer
default:0

Page number, starting at 0

Required range: x >= 0
size
integer
default:10

Number of runs per page

Required range: x >= 1
sort
string[]

Sort as property,direction. Defaults to dateCreated,desc.

Response

Successfully found workflow runs

hasMore
boolean
required
items
object[]
required
page
integer<int32>
required
total
integer<int64>
required
totalCapped
boolean
required
totalPages
integer<int32>
required
Last modified on September 24, 2026